org.eclnt.jsfserver.elements.componentnodes

## Class SUBPAGENode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.SUBPAGENode

- All Implemented Interfaces:
    java.io.Serializable

      public class SUBPAGENode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SUBPAGENode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SUBPAGENode` | `bindActionListener(IActionListenerDelegation value)`
    `SUBPAGENode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `SUBPAGENode` | `bindAnimatechangeofsize(IDynamicContentBindingObject value)`
    `SUBPAGENode` | `bindBackground(IDynamicContentBindingObject value)`
    `SUBPAGENode` | `bindBgpaint(IDynamicContentBindingObject value)`
    `SUBPAGENode` | `bindColspan(IDynamicContentBindingObject value)`
    `SUBPAGENode` | `bindComment(IDynamicContentBindingObject value)`
    `SUBPAGENode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `SUBPAGENode` | `bindHeight(IDynamicContentBindingObject value)`
    `SUBPAGENode` | `bindHighlightid(IDynamicContentBindingObject value)`
    `SUBPAGENode` | `bindPopupmenu(IDynamicContentBindingObject value)`
    `SUBPAGENode` | `bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)`
    `SUBPAGENode` | `bindPreviewmode(IDynamicContentBindingObject value)`
    `SUBPAGENode` | `bindRendered(IDynamicContentBindingObject value)`
    `SUBPAGENode` | `bindRowalignmenty(IDynamicContentBindingObject value)`
    `SUBPAGENode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `SUBPAGENode` | `bindSubpagesessionid(IDynamicContentBindingObject value)`
    `SUBPAGENode` | `bindSynchronous(IDynamicContentBindingObject value)`
    `SUBPAGENode` | `bindTakeoversessionid(IDynamicContentBindingObject value)`
    `SUBPAGENode` | `bindUrl(IDynamicContentBindingObject value)`
    `SUBPAGENode` | `bindWidth(IDynamicContentBindingObject value)`
    `SUBPAGENode` | `bindX(IDynamicContentBindingObject value)`
    `SUBPAGENode` | `bindY(IDynamicContentBindingObject value)`
    `SUBPAGENode` | `setActionListener(java.lang.String value)`
    `SUBPAGENode` | `setAdapterbinding(java.lang.String value)`
    `SUBPAGENode` | `setAnimatechangeofsize(boolean value)`
    `SUBPAGENode` | `setAnimatechangeofsize(java.lang.String value)`
    `SUBPAGENode` | `setAttributemacro(java.lang.String value)`
    `SUBPAGENode` | `setBackground(java.lang.String value)`
    `SUBPAGENode` | `setBgpaint(java.lang.String value)`
    `SUBPAGENode` | `setColspan(int value)`
    `SUBPAGENode` | `setColspan(java.lang.String value)`
    `SUBPAGENode` | `setComment(java.lang.String value)`
    `SUBPAGENode` | `setConfiginfo(java.lang.String value)`
    `SUBPAGENode` | `setHeight(int value)`
    `SUBPAGENode` | `setHeight(java.lang.String value)`
    `SUBPAGENode` | `setHighlightid(java.lang.String value)`
    `SUBPAGENode` | `setId(java.lang.String value)`
    `SUBPAGENode` | `setPopupmenu(java.lang.String value)`
    `SUBPAGENode` | `setPopupmenuloadroundtrip(java.lang.String value)`
    `SUBPAGENode` | `setPreviewmode(boolean value)`
    `SUBPAGENode` | `setPreviewmode(java.lang.String value)`
    `SUBPAGENode` | `setReference(java.lang.String value)`
    `SUBPAGENode` | `setRendered(boolean value)`
    `SUBPAGENode` | `setRendered(java.lang.String value)`
    `SUBPAGENode` | `setRowalignmenty(java.lang.String value)`
    `SUBPAGENode` | `setStylevariant(java.lang.String value)`
    `SUBPAGENode` | `setSubpagesessionid(java.lang.String value)`
    `SUBPAGENode` | `setSynchronous(boolean value)`
    `SUBPAGENode` | `setSynchronous(java.lang.String value)`
    `SUBPAGENode` | `setTakeoversessionid(boolean value)`
    `SUBPAGENode` | `setTakeoversessionid(java.lang.String value)`
    `SUBPAGENode` | `setUrl(java.lang.String value)`
    `SUBPAGENode` | `setWidth(int value)`
    `SUBPAGENode` | `setWidth(java.lang.String value)`
    `SUBPAGENode` | `setX(int value)`
    `SUBPAGENode` | `setX(java.lang.String value)`
    `SUBPAGENode` | `setY(int value)`
    `SUBPAGENode` | `setY(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SUBPAGENode

          public SUBPAGENode()

  - ### Method Detail

    - #### setId

          public SUBPAGENode setId(java.lang.String value)

    - #### setActionListener

          public SUBPAGENode setActionListener(java.lang.String value)

    - #### bindActionListener

          public SUBPAGENode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public SUBPAGENode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public SUBPAGENode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public SUBPAGENode setAnimatechangeofsize(java.lang.String value)

    - #### bindAnimatechangeofsize

          public SUBPAGENode bindAnimatechangeofsize(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public SUBPAGENode setAnimatechangeofsize(boolean value)

    - #### setAttributemacro

          public SUBPAGENode setAttributemacro(java.lang.String value)

    - #### setBackground

          public SUBPAGENode setBackground(java.lang.String value)

    - #### bindBackground

          public SUBPAGENode bindBackground(IDynamicContentBindingObject value)

    - #### setBgpaint

          public SUBPAGENode setBgpaint(java.lang.String value)

    - #### bindBgpaint

          public SUBPAGENode bindBgpaint(IDynamicContentBindingObject value)

    - #### setColspan

          public SUBPAGENode setColspan(java.lang.String value)

    - #### bindColspan

          public SUBPAGENode bindColspan(IDynamicContentBindingObject value)

    - #### setColspan

          public SUBPAGENode setColspan(int value)

    - #### setComment

          public SUBPAGENode setComment(java.lang.String value)

    - #### bindComment

          public SUBPAGENode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public SUBPAGENode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public SUBPAGENode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setHeight

          public SUBPAGENode setHeight(java.lang.String value)

    - #### bindHeight

          public SUBPAGENode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public SUBPAGENode setHeight(int value)

    - #### setHighlightid

          public SUBPAGENode setHighlightid(java.lang.String value)

    - #### bindHighlightid

          public SUBPAGENode bindHighlightid(IDynamicContentBindingObject value)

    - #### setPopupmenu

          public SUBPAGENode setPopupmenu(java.lang.String value)

    - #### bindPopupmenu

          public SUBPAGENode bindPopupmenu(IDynamicContentBindingObject value)

    - #### setPopupmenuloadroundtrip

          public SUBPAGENode setPopupmenuloadroundtrip(java.lang.String value)

    - #### bindPopupmenuloadroundtrip

          public SUBPAGENode bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)

    - #### setPreviewmode

          public SUBPAGENode setPreviewmode(java.lang.String value)

    - #### bindPreviewmode

          public SUBPAGENode bindPreviewmode(IDynamicContentBindingObject value)

    - #### setPreviewmode

          public SUBPAGENode setPreviewmode(boolean value)

    - #### setReference

          public SUBPAGENode setReference(java.lang.String value)

    - #### setRendered

          public SUBPAGENode setRendered(java.lang.String value)

    - #### bindRendered

          public SUBPAGENode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public SUBPAGENode setRendered(boolean value)

    - #### setRowalignmenty

          public SUBPAGENode setRowalignmenty(java.lang.String value)

    - #### bindRowalignmenty

          public SUBPAGENode bindRowalignmenty(IDynamicContentBindingObject value)

    - #### setStylevariant

          public SUBPAGENode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public SUBPAGENode bindStylevariant(IDynamicContentBindingObject value)

    - #### setSubpagesessionid

          public SUBPAGENode setSubpagesessionid(java.lang.String value)

    - #### bindSubpagesessionid

          public SUBPAGENode bindSubpagesessionid(IDynamicContentBindingObject value)

    - #### setSynchronous

          public SUBPAGENode setSynchronous(java.lang.String value)

    - #### bindSynchronous

          public SUBPAGENode bindSynchronous(IDynamicContentBindingObject value)

    - #### setSynchronous

          public SUBPAGENode setSynchronous(boolean value)

    - #### setTakeoversessionid

          public SUBPAGENode setTakeoversessionid(java.lang.String value)

    - #### bindTakeoversessionid

          public SUBPAGENode bindTakeoversessionid(IDynamicContentBindingObject value)

    - #### setTakeoversessionid

          public SUBPAGENode setTakeoversessionid(boolean value)

    - #### setUrl

          public SUBPAGENode setUrl(java.lang.String value)

    - #### bindUrl

          public SUBPAGENode bindUrl(IDynamicContentBindingObject value)

    - #### setWidth

          public SUBPAGENode setWidth(java.lang.String value)

    - #### bindWidth

          public SUBPAGENode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public SUBPAGENode setWidth(int value)

    - #### setX

          public SUBPAGENode setX(java.lang.String value)

    - #### bindX

          public SUBPAGENode bindX(IDynamicContentBindingObject value)

    - #### setX

          public SUBPAGENode setX(int value)

    - #### setY

          public SUBPAGENode setY(java.lang.String value)

    - #### bindY

          public SUBPAGENode bindY(IDynamicContentBindingObject value)

    - #### setY

          public SUBPAGENode setY(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.